Bug 441034 - ext3/quota lockdep report
ext3/quota lockdep report
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-05 07:39 EDT by Dominick Grift
Modified: 2009-07-14 11:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug info from /var/log/messages (14.97 KB, text/plain)
2008-04-05 07:39 EDT, Dominick Grift
no flags Details

  None (edit)
Description Dominick Grift 2008-04-05 07:39:43 EDT
Description of problem:
tar/4243 is trying to acquire lock but task is already holding lock which lock
already depends on the new lock.

Version-Release number of selected component (if applicable):
2.6.25-0.195.rc8.git1.fc9.x86_64

How reproducible:
Right click on a archive file

Steps to Reproduce:
1. copy at tar or srpm to your ~ or ~/Desktop and alter-click it (to extract)
2. upon alter-click gnome session crashes
3.
  
Actual results:
gnme session crash

Expected results:
a pop up menu with option to extract archive

Additional info:

Please see attached debug
Comment 1 Dominick Grift 2008-04-05 07:39:43 EDT
Created attachment 301365 [details]
debug info from /var/log/messages
Comment 2 Dominick Grift 2008-04-05 07:49:02 EDT
Excuse me, correction: it will not crash Gnome but it will crash Nautilus i think
Comment 3 Dave Jones 2008-04-05 13:53:47 EDT
Thanks, reported upstream.
Comment 4 Dominick Grift 2008-04-07 07:51:08 EDT
This was fixed with today's updates:

nautilus-2.22.1-6.fc9
---------------------
* Sun Apr 06 2008 Matthias Clasen <mclasen@redhat.com> - 2.22.1-6
- Backport a patch from upstream svn thats needed for file-roller

I suspect this fixed it. Thanks
Comment 5 Dave Jones 2008-04-07 08:10:07 EDT
This may be working around it in a manner where it isn't triggering the kernel
bug, but the kernel bug is still there in need of fixing.
Comment 6 Dominick Grift 2008-04-09 02:54:52 EDT
I feel i should note that i am not sure whether this is caused by a bug or that
this is due to some problems i have with packages that are corrupting during
updates (maybe some other bug or hardware failure)
Comment 7 Dominick Grift 2008-04-09 06:32:55 EDT
Today during yum update, kernel oopsed again. unfortunatly i could not recover
the stack trace but it had to do with journal.

After that i rebooted and disabled usrquota, after that retried yum update and
it did not crash and did not report any md5 mismatches. It appears that quota
may have to do with these corruptions but its a wild guess.

I have doublechecked my hardware, memory seems fine, fsck reported fine,
smartctl reported fine.

Comment 8 Bug Zapper 2008-05-14 04:56:02 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 20:00:20 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-07-14 11:43:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.